Bug 1634834 - [RFE] Apply right-size recommendations during migration
Summary: [RFE] Apply right-size recommendations during migration
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.9.5
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1623072
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-01 18:37 UTC by Satoe Imaishi
Modified: 2018-10-16 14:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1623072
Environment:
Last Closed: 2018-10-10 14:11:45 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2018-10-01 18:43:25 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/fc0936e426991e4877a8cb8e1baea28fcb5006d0
commit fc0936e426991e4877a8cb8e1baea28fcb5006d0
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Sep 28 09:49:58 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Sep 28 09:49:58 2018 -0400

    Merge pull request #417 from fdupont-redhat/v2v_apply_right_size

    Add support to apply right-size recommendation during transformation

    (cherry picked from commit 4f98a7855105eee49e8fe8373cbff98d6ebf2dbe)

    https://bugzilla.redhat.com/show_bug.cgi?id=1634834

 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize.rb | 42 +
 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize.yaml | 15 +
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/__class__.yaml | 20 +
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/posttransform.yaml | 20 +-
 spec/content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize_spec.rb | 95 +
 5 files changed, 186 insertions(+), 6 deletions(-)

Comment 5 CFME Bot 2018-10-11 14:28:11 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/814b21775347b0cbd4c4a960a51be48169c64ac1
commit 814b21775347b0cbd4c4a960a51be48169c64ac1
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Wed Oct 10 10:07:36 2018 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Oct 10 10:07:36 2018 -0400

    Revert "Merge pull request #417 from fdupont-redhat/v2v_apply_right_size"

    This reverts commit fc0936e426991e4877a8cb8e1baea28fcb5006d0.

    https://bugzilla.redhat.com/show_bug.cgi?id=1634834

 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize.rb | 42 -
 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize.yaml | 15 -
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/__class__.yaml | 20 -
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/posttransform.yaml | 20 +-
 spec/content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/applyrightsize_spec.rb | 95 -
 5 files changed, 6 insertions(+), 186 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.